﻿using UnityEngine;
using System.Collections;

public class DestroyAfterTime : MonoBehaviour
{
    public float fadeTime = 2f;
    public float time = 10f;
	
	void Update ()
    {
        time -= Time.deltaTime;
        if(time < fadeTime)
        {
            SpriteRenderer r = GetComponent<SpriteRenderer>();
            if(r != null)
            {
                float a = time / fadeTime;
                Color c = r.color;
                c.a = a;
                r.color = c;
            }
        }
        if(time <= 0)
        {
            Destroy(gameObject);
        }
	}
}
