﻿using UnityEngine;
using System.Collections;

public class HideAfterTime : MonoBehaviour
{
    public float duration = 1f;
    private float _timeBeforeHide;
	
	void Update ()
    {
        if(gameObject.activeSelf)
        {
            _timeBeforeHide -= Time.deltaTime;
            if (_timeBeforeHide <= 0)
            {
                gameObject.SetActive(false);
            }
        }
	}

    void OnEnable()
    {
        _timeBeforeHide = duration;
    }
}
