﻿using UnityEngine;
using System.Collections;

public class LoveCarrot : Carrot
{
    public float effectDuration = 5f;

    void Start()
    {
        type = CarrotType.LOVE;
    }

    public override void OnPickup(Bunny b)
    {
        base.OnPickup(b);

        BunnyController bc = b.GetComponent<BunnyController>();
        if (bc != null)
        {
            bc.attractiveTime = effectDuration;
        }
    }
}
