﻿using UnityEngine;
using System.Collections;

public class SpeedEffect : MonoBehaviour
{
    public float remainingTime = 1f;
    private ParticleSystem _particles;

	void Start ()
    {
        var p = gameObject.GetComponent<Bunny>().speedParticles;
        _particles = p;
        if(p != null)
        {
            p.enableEmission = true;
        }
	}
	
	void Update ()
    {
        if(_particles != null)
        {
            remainingTime -= Time.deltaTime;
            if (remainingTime <= 0)
            {
                _particles.enableEmission = false;
                gameObject.GetComponent<BunnyController>().speedBonusScale = 1f;
                Destroy(this);
            }
        }
	}
}
