﻿using UnityEngine;
using System.Collections;

public class Oscillate : MonoBehaviour
{
    public Vector3 vector = Vector3.up;
    public float speed = 1f;

    private Vector3 _originPosition;

    void Start()
    {
        _originPosition = transform.localPosition;
    }

	void Update ()
    {
        transform.localPosition = _originPosition + vector * (Mathf.Sin(Time.realtimeSinceStartup * speed) * speed);
	}
}


